Skip to main content

Create a client

POST 

/nevisidm/api/core/v1/clients

Since: 8.2605.0, 9.2605.0

Required permission(s): AccessControl.ClientCreate

Creates a new client. The creation process automatically:

  • Creates a default unit for the client
  • Creates a default template collection for the client
  • Creates a default profile policy for the client
  • Assigns the default application to the client

The response body contains the identifiers of all automatically created dependent entities. This operation is only available when multi-client mode is enabled.

Request

Body

required
    extId string

    External ID of the client. If not provided, the server generates one automatically.

    name stringrequired

    Possible values: non-empty

    Internal name of the client. Must be unique across all clients and comply with the configured identifier naming policy.

    displayName object

    Language-dependent display name of the client. Keys: EN, DE, FR, IT.

    property name* string
    remarks string

    General textual remark about the client.

Responses

Client created successfully

Response Headers
  • Location any

    URL of the created resource

Schema
    defaultTemplateCollectionName string

    Name of the default template collection created for the client.

    defaultUnitExtId string

    External ID of the default unit created for the client.

    defaultProfilePolicyExtId string

    External ID of the default profile policy created for the client.

Loading...